Subject: "nft list hooks" in older kernels?

From: Simon Kirby <[email-masked]>
Date: Thu, 22 Dec 2022 14:09:33 -0800

Hello!

I'm once again running into some fun with IPVS and nftables NAT, and I
was curious if there's any way in earlier kernel to get a list similar to
"nft list hooks" provided by e2cf17d3774c323ef6dab6e9f7c0cfc5e742afd9
(in >= 5.14), as I'm attempting to compare with 4.14 (LTS) which we're
still stuck on in some instances (see "Inability to IPVS DR with nft dnat
since 9971a514ed26").

I attempted to backport this commit to v4.14, but it relies on quite a
lot of changes since then.

Also, where do the priorities for "type nat" chains actually end up being
stored? Are they printable?

Simon-